interface LookupConfig {
    config: any;
    lookup: any;
    crateManager: any;
}
interface LookupResult {
    endpoint: string;
    documents: any[];
}
export declare class Lookup {
    private config;
    private lookup;
    private crateManager;
    constructor({ config, lookup, crateManager }: LookupConfig);
    getEntities(type: string, queryString: string): Promise<LookupResult>;
    dataPacks(type: string, queryString: string): Promise<LookupResult>;
    entities(type: string, queryString: string): Promise<LookupResult>;
    entityTemplates(type: string, queryString: string): Promise<LookupResult>;
    ror(queryString: string): Promise<LookupResult>;
}
export declare function awaitTimeout(delay: number, reason?: any): Promise<any>;
export declare function wrapPromise<T>(promise: Promise<T>, delay: number, reason?: {
    reason: string;
}): Promise<T>;
export {};
